Update a Collection

Update a collection’s name and/or description.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Collection identifier.

Request

This endpoint expects an object.
namestringOptional
New name for the collection.
descriptionstringOptional
New description for the collection.

Response

The updated collection.
idstringformat: "uuid"
Unique identifier for the collection.
namestring
Name of the collection.
created_atdatetime
ISO 8601 timestamp when the collection was created.
updated_atdatetime
ISO 8601 timestamp when the collection was last updated.
descriptionstring
Description of the collection.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error